Subject: bug#36769: portable dumper mishandles user-defined hashtabs

From: Paul Eggert <[email-masked]>
Date: Mon, 22 Jul 2019 18:29:15 -0700

[I reported this problem on emacs-devel here:
https://lists.gnu.org/r/emacs-devel/2019-07/msg00544.html
and am sending this to bug-gnu-emacs to get a bug number.]

Portable dumping currently can screw up hash tables with user-defined tests. I 
discovered this over the weekend while looking into Pip Cet's proposed changes 
to how portable dumping treats hash tables, and have a contrived test case (see 
attached) that causes gethash to fail with "Lisp nesting exceeds 
‘max-lisp-eval-depth’" in an Emacs started via a portable dump, even though the 
same gethash works fine before dumping.